<div id="admin-shop-category">
  <div class="sm:flex items-center justify-space-between">
    <nuxt-link to="/admin/shop/collection" class="text-decoration-none">
      <div class="d-flex align-center">
        <!-- <v-icon color="#242A2E" v-if="parentCollection.name">
          mdi-arrow-left
        </v-icon> -->
        <p class="mb-0 h6 colorGreyMain">
          Collection
        </p>
      </div>
    </nuxt-link>
    <div id="hideBottomInput" class="sm:flex items-center mt-3 mt-sm-0">
      <div>
        <v-text-field dense outlined v-model="config.search" prepend-inner-icon="mdi-magnify"
          style="max-width: 320px; width: 100%;" background-color="#ffffff" @keyup.enter="onSearch()"
          placeholder="Search by name...">
        </v-text-field>
      </div>
      <div class="ml-sm-3 mt-3 mt-sm-0">
        <nuxt-link to="/admin/shop/collection/create" class="text-decoration-none">
          <v-btn color="#076CE3" class="elevation-0" height="40px">
            <div class="d-flex align-center">
              <v-icon color="#ffffff">
                mdi-plus
              </v-icon>
              <p class="mb-0 white--text fsize-15 ml-2 text-capitalize">
                New Collection
              </p>
            </div>
          </v-btn>
        </nuxt-link>
      </div>
    </div>
  </div>
  </v-switch>
  <v-card class="ui-card mt-4">
    <v-skeleton-loader class="mx-auto mt-10" width="100%" type="card" v-if="loadingTable">
    </v-skeleton-loader>
    <v-simple-table class="scrollTable c-pointer" fixed-header v-else
      style="border: 1px solid #EDEEEF; border-radius: 8px 8px 8px 8px;">
      <template v-slot:default>
        <thead>
          <tr>
            <th class="px-0 table-head colorGreyHeaderTable">
              <div class="d-flex align-center" style="width: 400px; height: 48px;">
                <v-checkbox v-model="selectedAll" class="pl-3"></v-checkbox>
                <p class="mb-0 fsize-12 text-uppercase table-head colorGreyHeaderTable ml-2 captionOverline !font-bold colorGreyHeaderTable"
                  v-if="!selectedAll && !listIds.length">
                  Name
                </p>
                <div v-else class="d-flex align-center">
                  <p class="mb-0 fsize-14 font-weight-bold">
                    Action <span class="fsize-12 colorGreyHeaderItem">
                      (Choose <span class="black--text">{{listIds.length}}</span> items)
                    </span>
                  </p>
                  <v-btn text class="ml-7" @click="openDialogDeleteMultipleCollection()">
                    <div class="d-flex align-center">
                      <v-icon color="#FF5252" size="18">
                        mdi-delete
                      </v-icon>
                      <p class="mb-0 ml-3 fsize-14 font-weight-bold text-capitalize">
                        Delete collection
                      </p>
                    </div>
                  </v-btn>
                </div>
              </div>
            </th>
            <th class="text-left px-0 table-head colorGreyHeaderTable">
              <div v-if="!selectedAll && !listIds.length" style="width: 200px">
                <p
                  class="mb-0 fsize-12 text-uppercase table-head colorGreyHeaderTable ml-2 captionOverline !font-bold colorGreyHeaderTable">
                  Slug
                </p>
              </div>
            </th>
            <th class="text-left px-0 table-head colorGreyHeaderTable">
              <div v-if="!selectedAll && !listIds.length" style="width: 200px">
                <p
                  class="mb-0 fsize-12 text-uppercase table-head colorGreyHeaderTable ml-2 captionOverline !font-bold colorGreyHeaderTable">
                  Desc
                </p>
              </div>
            </th>
            <!-- <th class="text-left px-0 table-head colorGreyHeaderTable">
              <div v-if="!selectedAll && !listIds.length" style="width: 200px">
                <p class="mb-0 fsize-12 text-uppercase table-head colorGreyHeaderTable ml-2 captionOverline !font-bold colorGreyHeaderTable">
                  Status
                </p>
              </div>
            </th> -->
            <th class="text-left px-0 table-head colorGreyHeaderTable">
              <div v-if="!selectedAll && !listIds.length" style="width: 200px">

              </div>
            </th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="(collection,i) in listCollection" :key="collection._id">
            <td class="px-0 py-2">
              <div class="d-flex align-center">
                <v-checkbox v-model="listIds" :value="collection._id" class="pl-3"></v-checkbox>
                <nuxt-link :to="`/admin/shop/collection/${collection._id}`" class="text-decoration-none">
                  <div class="d-flex align-center">
                    <!-- <div class="d-flex align-center">
                      <img :src="convertImage(collection)" alt="" width="64" height="64" class="rounded-lg">
                    </div> -->
                    <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable ml-2">
                      {{collection.name}}
                    </p>
                  </div>
                </nuxt-link>
              </div>
            </td>
            <td class="px-0">
              <p class="mb-0 fsize-14 font-weight-bold">
                {{collection.slug}}
              </p>
            </td>
            <td class="px-0">
              <p class="mb-0 fsize-16 font-weight-bold">
                {{collection.desc}}
              </p>
            </td>
            <!-- <td class="px-0">
              <div class="d-flex align-center" id="hideBottomInput">
                <p class="mb-0 mt-1 fsize-13 rounded-lg py-1 px-2 contentBrand" v-if="collection.collectionStatus === 1"
                  style="background-color: #E1EFFE">
                  Open
                </p>
                <p class="mb-0 mt-1 fsize-13 rounded-lg py-1 px-2" v-if="collection.collectionStatus === 0"
                  style="background: rgba(255, 193, 48, 0.08); color: #FB8C00">
                  Closed
                </p>

                <v-switch class="ml-2 mt-0" inset v-model="collection.collectionStatus"
                  @change="onChangeStatus(collection)">
                </v-switch>
              </div>
            </td> -->
            <td class="px-0">
              <div class="d-flex align-center">
                <nuxt-link :to="`/admin/shop/collection/edit/${collection.slug}`" class="text-decoration-none">
                  <v-btn color="#076CE3" outlined>
                    <span class="lightContentBlue">
                      Edit
                    </span>
                  </v-btn>
                </nuxt-link>
                <v-btn color="#FF5252" outlined class="ml-2 px-0" style="min-width: 36px"
                  @click="openDialogDeleteCollection(collection._id)">
                  <v-icon color="#FF5252">
                    mdi-delete
                  </v-icon>
                </v-btn>
              </div>
            </td>
          </tr>
        </tbody>
      </template>
    </v-simple-table>
    <div class="d-flex justify-center my-2" v-if="listCollection.length == 0 && !loadingTable">
      <span>No collections</span>
    </div>
    <div class="text-center mt-4 pb-2 d-flex align-center justify-center">
      <v-pagination v-model="config.page" :length="totalPage" :total-visible="5" class="pagination">
      </v-pagination>
      <div id="hideBottomInput" class="input-gotopage pos-relative">
        <v-text-field dense outlined v-model.number="page" placeholder="Go to page">
        </v-text-field>
        <div class="button-inside-input">
          <v-btn height="36px" color="#076CE3" class="px-0 button-inside-input__button elevation-0"
            @click="onRedirectPage()">
            <v-icon color="#ffffff">
              mdi-chevron-right
            </v-icon>
          </v-btn>
        </div>
      </div>
    </div>
  </v-card>

  <v-row justify="center">
    <v-dialog v-model="dialogDeleteCollection" max-width="383">
      <v-card class="pa-0">
        <div class="py-5 px-6">
          <div class="d-flex align-center justify-center">
            <v-icon color="#EB5757" size="56">
              mdi-folder-text
            </v-icon>
          </div>
          <p class="mb-0 mt-4 h6 text-center contentSemanticRed">
            Delete Collection
          </p>
          <p class="mt-6 fsize-16 contentMain">
            Do you want to delete this collection {{findNameCollection}}?
          </p>
        </div>
        <div class="pb-8 px-4 d-flex align-center justify-space-between">
          <v-btn text width="49%" @click="dialogDeleteCollection = false">
            <p class="mb-0 fsize-16 font-weight-bold lightContentPrimary">
              Cancel
            </p>
          </v-btn>
          <v-btn color="#FF5252" class="elevation-0" width="49%" @click="onDeleteCollection()">
            <p class="mb-0 fsize-16 font-weight-bold white--text">
              Delete
            </p>
          </v-btn>
        </div>
      </v-card>
    </v-dialog>
  </v-row>

  <v-row justify="center">
    <v-dialog v-model="dialogDeleteMultipleCollection" max-width="383">
      <v-card class="pa-0">
        <div class="py-5 px-6">
          <div class="d-flex align-center justify-center">
            <v-icon color="#EB5757" size="56">
              mdi-folder-text
            </v-icon>
          </div>
          <p class="mb-0 mt-4 h6 text-center contentSemanticRed">
            Delete Collection
          </p>
          <p class="mt-6 fsize-16 contentMain">
            Do you want to delete {{listIds.length}} collection?
          </p>
        </div>
        <div class="pb-8 px-4 d-flex align-center justify-space-between">
          <v-btn text width="49%" @click="dialogDeleteMultipleCollection = false">
            <p class="mb-0 fsize-16 font-weight-bold lightContentPrimary">
              Cancel
            </p>
          </v-btn>
          <v-btn color="#FF5252" class="elevation-0" width="49%" @click="onDeleteMultipleCollection()">
            <p class="mb-0 fsize-16 font-weight-bold white--text">
              Delete
            </p>
          </v-btn>
        </div>
      </v-card>
    </v-dialog>
  </v-row>
</div>